# norootforbuild

%define soname 6
%define ixml_soname 2
%define threadutil_soname 6

Name:		libupnp
Summary:	Universal Plug and Play (UPnP) SDK
License:	BSD
Group:		System/Libraries
URL:		http://pupnp.sourceforge.net
Version: 1.6.13
Release: 0.pm.1.1
Source:		http://prdownloads.sourceforge.net/pupnp/libupnp-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/build-%{name}-%{version}-%{release}
BuildRequires:	gcc make glibc-devel pkgconfig

%description
The Universal Plug and Play (UPnP) SDK for Linux provides 
support for building UPnP-compliant control points, devices, 
and bridges on Linux.

%package -n libupnp%{soname}
Group:		System/Libraries
Summary:	Universal Plug and Play (UPnP) SDK

%description -n libupnp%{soname}
The Universal Plug and Play (UPnP) SDK for Linux provides 
support for building UPnP-compliant control points, devices, 
and bridges on Linux.

%package -n libixml%{ixml_soname}
Group:		System/Libraries
Summary:	Universal Plug and Play (UPnP) SDK

%description -n libixml%{ixml_soname}
The Universal Plug and Play (UPnP) SDK for Linux provides 
support for building UPnP-compliant control points, devices, 
and bridges on Linux.

%package -n libthreadutil%{threadutil_soname}
Group:		System/Libraries
Summary:	Universal Plug and Play (UPnP) SDK

%description -n libthreadutil%{threadutil_soname}
The Universal Plug and Play (UPnP) SDK for Linux provides 
support for building UPnP-compliant control points, devices, 
and bridges on Linux.

%package -n libupnp-devel
Group:		Development/Libraries/C and C++
Summary:	Include files needed for development with libupnp
Requires:	libupnp%{soname} = %{version}
Provides:	libixml-devel = %{version}
Provides:	libthreadutil-devel = %{version}

%description -n libupnp-devel
The libupnp-devel package contains the files necessary for development with
the UPnP SDK libraries.

%prep
%setup -q

%build
# we don't want -Os forced on us
sed -i -e 's/AX_CFLAGS_GCC_OPTION.*/:/' configure.ac
autoreconf
%configure \
	   --disable-static \
	   --with-documentation="%{_docdir}/%{name}" \
	   --enable-client \
	   --enable-device \
	   --enable-webserver \
	   --enable-tools \
	   --disable-samples

%__make %{?_smp_mflags}

%install
%makeinstall

%{__rm} -f %{buildroot}%{_libdir}/*.la

%__install -d "%{buildroot}%{_docdir}/%{name}"
echo -n > rpm-doc-files.lst
for f in AUTHORS ChangeLog COPYING LICENSE NEWS README THANKS TODO; do
    if [ -s "$f" ]; then
        %__install -m0644 "$f" "%{buildroot}%{_docdir}/%{name}/$f"
	echo "%doc %{_docdir}/%{name}/${f}" >> rpm-doc-files.lst
    fi
done

%clean
%__rm -rf "%{buildroot}"

%post -n libupnp%{soname} -p /sbin/ldconfig
%postun -n libupnp%{soname} -p /sbin/ldconfig

%post -n libixml%{ixml_soname} -p /sbin/ldconfig
%postun -n libixml%{ixml_soname} -p /sbin/ldconfig

%post -n libthreadutil%{threadutil_soname} -p /sbin/ldconfig
%postun -n libthreadutil%{threadutil_soname} -p /sbin/ldconfig

%files -n libupnp%{soname}
%defattr(-,root,root)
%{_libdir}/libupnp.so.%{soname}*

%files -n libixml%{ixml_soname}
%defattr(-,root,root)
%{_libdir}/libixml.so.%{ixml_soname}*

%files -n libthreadutil%{threadutil_soname}
%defattr(-,root,root)
%{_libdir}/libthreadutil.so.%{threadutil_soname}*

%files -n libupnp-devel -f rpm-doc-files.lst
%defattr(0644,root,root,0755)
%dir %doc %{_docdir}/%{name}
%doc %{_docdir}/%{name}/examples
%doc %{_docdir}/%{name}/html
%doc %{_docdir}/%{name}/*.pdf
%{_includedir}/upnp
%{_libdir}/libixml.so
%{_libdir}/libthreadutil.so
%{_libdir}/libupnp.so
%{_libdir}/pkgconfig/libupnp.pc
#exclude %{_libdir}/*.{a,la}

%changelog
* Wed Mar 30 2011 reddwarf@opensuse.org
- new version 1.6.13
  * soname bump
* Sun Dec 19 2010 lnussel@suse.de
- new version 1.6.10
  * soname bump
- cleanup, split according to library policy
* Mon Mar 23 2009 andrea@links2linux.de
- new upstream version 1.6.6
* Sun Apr 13 2008 guru@unixtech.be
- fixed URL
- new upstream version
* Sat Oct 27 2007 quentin@links2linux.de
- first package with version
